### Method

# EDataCal CalBackendSync get_object

#### Declaration [src]

    void
    e_cal_backend_sync_get_object (
      ECalBackendSync* backend,
      EDataCal* cal,
      GCancellable* cancellable,
      const gchar* uid,
      const gchar* rid,
      gchar** calobj,
      GError** error
    )

#### Description [src]

Calls the get_object_sync method on the given backend.

#### Parameters

`cal`

  Type: `EDataCal`

  An EDataCal object.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` for the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`uid`

  Type: `const gchar*`

  UID of the object to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  Recurrence ID of the specific instance to get, or `NULL` if getting the master object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`calobj`

  Type: `gchar**`

  Placeholder for returned object.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.